JTS Topology Suite version 1.13

## com.vividsolutions.jts.awt
Class GeometryCollectionShape

    java.lang.Object
      com.vividsolutions.jts.awt.GeometryCollectionShape

All Implemented Interfaces:
  java.awt.Shape

    public class GeometryCollectionShape

extends java.lang.Object
implements java.awt.Shape

A `Shape` which contains a heterogeneous collection of other shapes representing JTS `Geometry`s.

Author:
  Martin Davis

Constructor Summary
`GeometryCollectionShape()`

Method Summary
`void` `add(java.awt.Shape shape)`
`boolean` `contains(double x, double y)`
`boolean` `contains(double x, double y, double w, double h)`
`boolean` `contains(java.awt.geom.Point2D p)`
`boolean` `contains(java.awt.geom.Rectangle2D r)`
`java.awt.Rectangle` `getBounds()`
`java.awt.geom.Rectangle2D` `getBounds2D()`
`java.awt.geom.PathIterator` `getPathIterator(java.awt.geom.AffineTransform at)`
`java.awt.geom.PathIterator` `getPathIterator(java.awt.geom.AffineTransform at, double flatness)`
`boolean` `intersects(double x, double y, double w, double h)`
`boolean` `intersects(java.awt.geom.Rectangle2D r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeometryCollectionShape

    public GeometryCollectionShape()

Method Detail

### add

    public void add(java.awt.Shape shape)

### getBounds

    public java.awt.Rectangle getBounds()

  Specified by:
    `getBounds` in interface `java.awt.Shape`

### getBounds2D

    public java.awt.geom.Rectangle2D getBounds2D()

  Specified by:
    `getBounds2D` in interface `java.awt.Shape`

### contains

    public boolean contains(double x,
                            double y)

  Specified by:
    `contains` in interface `java.awt.Shape`

### contains

    public boolean contains(java.awt.geom.Point2D p)

  Specified by:
    `contains` in interface `java.awt.Shape`

### intersects

    public boolean intersects(double x,
                              double y,
                              double w,
                              double h)

  Specified by:
    `intersects` in interface `java.awt.Shape`

### intersects

    public boolean intersects(java.awt.geom.Rectangle2D r)

  Specified by:
    `intersects` in interface `java.awt.Shape`

### contains

    public boolean contains(double x,
                            double y,
                            double w,
                            double h)

  Specified by:
    `contains` in interface `java.awt.Shape`

### contains

    public boolean contains(java.awt.geom.Rectangle2D r)

  Specified by:
    `contains` in interface `java.awt.Shape`

### getPathIterator

    public java.awt.geom.PathIterator getPathIterator(java.awt.geom.AffineTransform at)

  Specified by:
    `getPathIterator` in interface `java.awt.Shape`

### getPathIterator

    public java.awt.geom.PathIterator getPathIterator(java.awt.geom.AffineTransform at,
                                                      double flatness)

  Specified by:
    `getPathIterator` in interface `java.awt.Shape`

JTS Topology Suite version 1.13